Bug 188479 - [PATCH] devel/py-demjson: staging
Summary: [PATCH] devel/py-demjson: staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-11 21:40 UTC by Bartek Rutkowski
Modified: 2014-04-12 16:03 UTC (History)
1 user (show)

See Also:


Attachments
py-demjson-1.6.patch (909 bytes, patch)
2014-04-11 21:40 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-11 21:40:00 UTC
- Staging
- Add LICENSE
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-demjson/1.6_1/

Port maintainer (wen@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-11 21:40:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-12 14:58:02 UTC
Author: wen
Date: Sat Apr 12 13:57:57 2014
New Revision: 351094
URL: http://svnweb.freebsd.org/changeset/ports/351094
QAT: https://qat.redports.org/buildarchive/r351094/

Log:
  - Stage support [1]
  - Add LICENSE [1]
  - Pet portlint [1]
  - Pass maintainership to submitter
  
  PR:		188479 [1]
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com> [1]

Deleted:
  head/devel/py-demjson/pkg-plist
Modified:
  head/devel/py-demjson/Makefile
  head/devel/py-demjson/pkg-descr

Modified: head/devel/py-demjson/Makefile
==============================================================================
--- head/devel/py-demjson/Makefile	Sat Apr 12 13:51:31 2014	(r351093)
+++ head/devel/py-demjson/Makefile	Sat Apr 12 13:57:57 2014	(r351094)
@@ -9,16 +9,18 @@ MASTER_SITES=	CHEESESHOP \
 		http://deron.meranda.us/python/demjson/dist/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
-MAINTAINER=	wen@FreeBSD.org
+MAINTAINER=	ports@robakdesign.com
 COMMENT=	Encoder, Decoder, and Lint/Validator for JSON
 
-USE_PYTHON=	yes
+LICENSE=	LGPL3
+
+USE_PYTHON=		yes
 USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+PLIST_FILES=		bin/jsonlint
 
 post-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/jsonlint ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/jsonlint ${STAGEDIR}${PREFIX}/bin
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/devel/py-demjson/pkg-descr
==============================================================================
--- head/devel/py-demjson/pkg-descr	Sat Apr 12 13:51:31 2014	(r351093)
+++ head/devel/py-demjson/pkg-descr	Sat Apr 12 13:57:57 2014	(r351094)
@@ -9,4 +9,4 @@ also support JavaScript's NaN and Infini
 it's 'undefined' type. It also includes a lint-like JSON syntax
 validator which tests JSON text for strict compliance to the standard.
 
-WWW:	http://deron.meranda.us/python/demjson/
+WWW: http://deron.meranda.us/python/demjson/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2014-04-12 16:03:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!